# xboard-xiangqi-theme-maoken

#### 介绍

    使用“猫啃什锦黑” (MaokenAssortedSans) 字体自带的中国象棋棋子字符，
制作的中国象棋棋子图片（SVG）格式。

**适用于 XBoard/WinBoard 象棋程序。**

* 项目地址 (2023-03-30 发布)：

  Gitee: [https://gitee.com/careone/xboard-xiangqi-theme-maoken](https://gitee.com/careone/xboard-xiangqi-theme-maoken)
  
* 项目协议：GPL-3+

#### 使用方法

    以普通用户，运行命令 xboard @xiangqi-maoken 即可用相应的
 中国象棋棋子图片。

  * 技巧：如果上面的命令，无法正常显示象棋棋子图片效果，请以普通用户身份，
 删除 xboard 程序生成的个人配置文件 .xboardrc 和 .xboard-xiangqi-rc，再运行
 即可。删除命令：
 .
 rm -v ~/.xboardrc ~/.xboard-xiangqi-rc

#### 关于“猫啃什锦黑”(MaokenAssortedSans) 字体

  “猫啃什锦黑” (MaokenAssortedSans) 字体基于 SIL-1.1 开源字体协议发布，
允许免费商用。

    自带中国象棋棋子字符（Unicode 代码范围：1FA60 -> 1FA6D，共7+7个）。

字体介绍和下载：

* https://www.maoken.com/assorted
* https://www.maoken.com/freefonts/16964.html

#### 软件架构

all

#### 安装教程

  XBoard 程序玩中国象棋，需要先安装几个相关的软件包：

1.  依赖软件包 xboard;
2.  推荐安装 XBoard 中国象棋相关的引擎软件包: fairymax hoichess sjaakii

安装命令：

`sudo apt-get install xboard fairymax hoichess sjaakii`

#### 使用说明

以普通用户，运行命令

`xboard @xiangqi-maoken`

或者

`xboard-xiangqi.maoken`

即可。

**使用技巧**

* 用鼠标拖动 XBoard 游戏程序的右下角，可以 放大 或者 缩小棋盘的大小。

当然，也可以在输入游戏命令时，使用 `-size 数字` 选项参数来指定棋子图片的大小。

* 默认数值为 49（即代表棋子大小为 49x49 像素）。

* 对于 13 - 14 英寸的笔记本电脑屏幕，或者老式的14、15、17英寸的大块头显示器屏幕，
推荐数值范围为 47 - 65 。

* 对于台式机电脑的大屏幕，或者外接屏幕，可以指定数字为 95, 甚至更大。

**需要注意的是：-size 选项参数，需要放在命令的最后面，否则可能棋盘大小无法生效。**

命令示例：

`xboard @xiangqi-maoken -size 65`

或者

`xboard-xiangqi.maoken -size 65`

**特别提示**

如果 XBoard 游戏非正常退出，或者用户错误地修改了游戏配置文件，可能
导致下次运行 xboard  相关命令时，无法正常显示棋子主题。

**解决办法：**

以普通用户身份，删除 XBoard 象棋程序的个人配置文件，再重新运行游戏命令即可。

#### 附、中国象棋棋子 SVG 图片制作流程

操作系统： Debian 11.6 amd64

1. 使用 TeX/LaTeX 的 standalone 文类，编写 tex 文档源代码；

    主色调：

   * 红方棋子：Debian 红 (#992233)
   * 黑方棋子：九成黑 (#222222)
   * 棋盘格子线框：护眼绿 (#cfe8cc)

2. 使用 xelatex 编译，生成红黑双方各 7 种棋子图片（PDF 格式；编译1次即可)；

3. 最后，用 pdf2svg 命令，把 PDF 图片转换导出 SVG 格式的棋子图片。

#### 码云特技

1.  使用 Readme\_XXX.md 来支持不同的语言，例如 Readme\_en.md, Readme\_zh.md

